%define major	1
%define libname	%mklibname dxfrw %{major}
%define devname	%mklibname dxfrw -d

%global commit fcd977cc7f8f6cc7f012e5b72d33cf7d77b3fa69
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:		libdxfrw
Summary:	Library to read dwg and read/write dxf files
Version:	1.0.1
%define subrel 1
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Libraries
Url:		https://github.com/LibreCAD/libdxfrw
#Source0:	https://github.com/LibreCAD/libdxfrw/archive/%{version}/%{name}-%{version}.tar.gz
Source0:	https://github.com/LibreCAD/libdxfrw/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
# Fix "Vertex ID" printout
# https://github.com/LibreCAD/libdxfrw/pull/55
Patch1:		https://github.com/LibreCAD/libdxfrw/commit/c835b4a365c1fbee96518abbf32e4dbb0955ccfe.patch
# Clean up compiler errors
# https://github.com/LibreCAD/libdxfrw/pull/54
Patch2:		https://patch-diff.githubusercontent.com/raw/LibreCAD/libdxfrw/pull/54.patch
# Fix angle and alignment handling of (m)texts
# https://github.com/LibreCAD/libdxfrw/pull/51
Patch3:		https://github.com/LibreCAD/libdxfrw/commit/3519af1186871cc4bfd66ee670627816473a1ad8.patch
# Fix wrong 2010+ check for 64-bit size
Patch4:		https://github.com/LibreCAD/libdxfrw/commit/5b723c20030b3766006c97c282da96264dc2f722.patch
# Check maxClassNum for valid value
Patch5:		https://github.com/LibreCAD/libdxfrw/commit/5f2afc4dd27f426cc70b5100dc7eda7947e85b47.patch
# Fix bounds check in DRW_LWPolyline
Patch6:		https://github.com/LibreCAD/libdxfrw/commit/5f853313bfb4bf349abbe2d6c822e4407234cbd3.patch
# Add NULL check for hatch code 93
# CVE-2021-45343
Patch7:		https://github.com/LibreCAD/libdxfrw/commit/29266d5492ec7f275c79fbce97ec22ab02ec5ad0.patch
# Protect vector<>.reserve() calls
Patch8:		https://github.com/LibreCAD/libdxfrw/commit/ae253fde529118be213d631efee14d7e8e00b19d.patch
# Remove unused parseCode method
Patch9:		https://github.com/LibreCAD/libdxfrw/commit/1bfc9818535d40335c3a0615d6eeb90f4fa203fa.patch
# Replace ENTRY_PARSE macro with template method
Patch10:	https://github.com/LibreCAD/libdxfrw/commit/14f6870170118225300f47388530529a5a05dc49.patch
# readDwgEntities stop after first error
Patch11:	https://github.com/LibreCAD/libdxfrw/commit/d397170ee31b2152a0d9e1dde922612a01cc21ee.patch
# readDwgObjects stop after first error
Patch12:	https://github.com/LibreCAD/libdxfrw/commit/e23cc1c61ead0fb44a87f7849e8f973cc216dadc.patch
# fix endless while loop for pre-2004 versions
Patch13:	https://github.com/LibreCAD/libdxfrw/commit/b38e2aa746dd7ae0011bc458dcd38166df92979b.patch
# fix ambiguous error for parseDwg
Patch14:	https://github.com/LibreCAD/libdxfrw/commit/072aecd49d835eb83e41572a4ab4d143fdba105a.patch
BuildRequires:	cmake

%description
c++ library to read/write dxf files in binary and ascii form and to read dwg
form

%package -n %{libname}
Summary:	Library to read dwg and read/write dxf files

%description -n %{libname}
c++ library to read/write dxf files in binary and ascii form and to read dwg
form.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files for %{name}.

%package -n dwg2dxf
Summary:	Program to convert dwg/dxf to dxf (ascii and binary)
Group:		Graphics/Editors and Converters

%description -n dwg2dxf
This package contains the dwg2dxf tool to convert dwg/dxf files to
dxf (ascii and binary) file.

%prep
%autosetup -n %{name}-%{commit} -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n dwg2dxf
%{_bindir}/dwg2dxf
%{_mandir}/man1/dwg2dxf.1*

%files -n %{libname}
%doc AUTHORS NEWS README TODO
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{version}

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{name}/


%changelog
* Thu Apr 21 2022 ns80 <ns80> 1.0.1-1.1.mga8
+ Revision: 1852331
- fix CVE-2021-21898, CVE-2021-21899, CVE-2021-21900, CVE-2021-45343 (mga#29720)

* Sun Aug 30 2020 wally <wally> 1.0.1-1.mga8
+ Revision: 1620009
- switch to librecad fork
- new version 1.0.1
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 0.6.3-6.mga8
+ Revision: 1514057
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.6.3-5.mga7
+ Revision: 1298817
- Mageia 7 Mass Rebuild

* Sun Jan 08 2017 wally <wally> 0.6.3-4.mga6
+ Revision: 1080616
- add patch to apply changes from librecad 2.1.3

* Wed Aug 17 2016 wally <wally> 0.6.3-3.mga6
+ Revision: 1046578
- add patch to apply changes from librecad 2.1.0

* Mon Feb 15 2016 umeabot <umeabot> 0.6.3-2.mga6
+ Revision: 960952
- Mageia 6 Mass Rebuild

* Sun Oct 25 2015 wally <wally> 0.6.3-1.mga6
+ Revision: 895406
- new version 0.6.3

* Sun Aug 23 2015 wally <wally> 0.6.1-1.mga6
+ Revision: 868288
- imported package libdxfrw

